Package groovy.lang

# Class MissingMethodException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.lang.MissingMethodException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MissingMethodExceptionNoStack`

public class MissingMethodException extends GroovyRuntimeException
An exception occurred if a dynamic method dispatch fails with an unknown method.

Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MissingMethodException(String method, Class<?> type, Object[] arguments)`
  Creates an exception for a missing instance method.
  `MissingMethodException(String method, Class<?> type, Object[] arguments, boolean isStatic)`
  Creates an exception for a missing method.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object[]`
  `getArguments()`
  Returns the supplied arguments.
  `String`
  `getMessage()`
  Returns a detailed message including argument and suggestion information.
  `String`
  `getMethod()`
  `Class<?>`
  `getType()`
  `boolean`
  `isStatic()`

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MissingMethodException

    public MissingMethodException(String method, Class<?> type, Object[] arguments)
    Creates an exception for a missing instance method.
    Parameters:
      `method` - the missing method name
      `type` - the target type
      `arguments` - the supplied arguments

  - ### MissingMethodException

    public MissingMethodException(String method, Class<?> type, Object[] arguments, boolean isStatic)
    Creates an exception for a missing method.
    Parameters:
      `method` - the missing method name
      `type` - the target type
      `arguments` - the supplied arguments
      `isStatic` - whether the missing method was called statically

- ## Method Details

  - ### getArguments

    public Object[] getArguments()
    Returns the supplied arguments.
    Returns:
      the supplied arguments

  - ### getMessage

    public String getMessage()
    Returns a detailed message including argument and suggestion information.
    Overrides:
      `getMessage` in class `GroovyRuntimeException`
    Returns:
      the formatted error message

  - ### getMethod

    public String getMethod()
    Returns:
      the name of the method that could not be found

  - ### getType

    public Class<?> getType()
    Returns:
      The type on which the method was attempted to be called

  - ### isStatic

    public boolean isStatic()
    Returns:
      Whether the method was called in a static way, i.e. on a class rather than an object.